
<!DOCTYPE html>

<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <input type="text" v-model="title" onchange="vm.change(title)">

    <button onclick="vm.add()" >add</button>
    <ul>
        <li v-for="user in users">{{ user.name }}
            <button>edit</button>
            <button onclick="vm.delete(1)">delete</button>
        </li>
    </ul>

    

  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
          users:[
              {
                  id:1,
                  name:"abdulloh hamzan"
              },
              {
                  id:2,
                  name:"hiranuga kawasaki"
              },
          ],
          title:""
        
      },
      computed : {
        
      },
      methods : {
          change(e){
              vm.title=e.target.value

          },

          add(){
              this.users.push({
                  id:users.length+1,
                  name:title
              })
              
          },
          delete(id){
              console.log('id:',id)
              this.users.filter(item=>item.id !==id)
             return this.users
          }

          
          

      }
  })
  </script>
</body>
</html>